* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

/* Top Section */

.main-page {
    background-color: rgb(245, 245, 245);
}
.top-bar {
    height: 47px;
    background-color: #ffffff;
    padding: 33px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.top-bar div {
    padding: 12px;
    margin-left: 20px;
}

.top-bar div p {
    display: inline;
    margin-left: 10px;
    color: rgb(51, 51, 51);
}

.logo {
    width: 150px;
    height: 40px;
    margin-left: 40px;
    background-image: url('/images/logo.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

.search {
    width: 100%;
    display: flex;
    background-color: rgb(228, 245, 245);
    border-radius: 10px;
    cursor: pointer;
}

.search p {
    width: 40px;
    text-align: center;
    color: rgb(148, 146, 146) !important;
}

.search input {
    width: 100%;
    border: none;
    background-color: rgb(228, 245, 245);
}

.search input::placeholder{
    font-size: 1.1rem;
    color: rgb(148, 146, 146);
}

.login {
    width: 200px;
    cursor: pointer;
}

.login:hover {    
    background-color: blue;
    border-radius: 10px;
}

.login:hover p {    
    color: #ffffff;
}

.cart {
    width: 200px;
    cursor: pointer;
}

.seller {
    width: 350px;
    cursor: pointer;
}

.more-options {
    width: 50px;
    border: 1.5px solid transparent;
    border-radius: 10px;
    cursor: pointer;
}

.more-options:hover {
    border: 1.5px solid rgb(148, 146, 146);
    border-radius: 10px;
}

.more-options p {
    margin-right: 10px;
}

.categories {
    margin-top: 10px;
    margin-left: 15px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 97.5%;
    height: 130px;
    background-color: #ffffff;
    font-weight: bolder;
    text-align: center;
}

.cat-div {
    display: inline-block;
    margin-top: 20px;
    cursor: pointer;
}

.cat-picture {
    height: 60px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.cat-content {
    margin: 10px;
}

.hero {
    height: 230px;
    width: 97.5%;
    background-image: url("/images/hero-banner.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin-top: 10px;
    margin-left: 15px;
}

.main-content {
    height: 340px;
    width: 97.5%;
    background-color: #ffffff;
    margin-top: 10px;
    margin-left: 15px;
    padding-right: 15px;
    padding-top: 20px;
    padding-left: 15px;
}

.content-area {
    margin-top: 25px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
}

.items {
    height: 250px;
    width: 200px;
    border: 1px solid rgb(228, 228, 228);
    border-radius: 5px;
    margin-bottom: 15px;
}

.item-pic {
    margin: 10px;
    border: 3px solid transparent;
    height: 180px;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.item-pic:hover {
    border: none;
}

.item-details {
    text-align: center;
    padding-top: 7px;
}

.item-details p:first-child {
    font-size: 0.98rem;
}

.item-details p:last-child {
    font-weight: bolder;
}

.main-content2 {
    width: 98.5%;
    height: 612px;
    display: flex;
    justify-content: space-between;
}

.content-area2 {
    flex-wrap: wrap;
}

.extended-items {
    width: 34.5%;
    display: inline-block;
    background-color: #ffffff;
    margin-top: 10px;
    margin-left: 15px;
    padding-right: 15px;
    padding-top: 20px;
    padding-left: 15px;
}

.banner {
    width: 64%;
    height: 603px;
    margin-top: 10px;
    margin-left: 15px;
    padding-right: 15px;
    padding-top: 20px;
    padding-left: 15px;
    display: inline-block;
    background-image: url("/images/top-selling-smartphone.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    cursor: pointer;
}

.banner img {
    width: 50px;
    height: 50px;
    margin-top: 100px;
    margin-left: 70px;
}

.explore-head {
    margin-top: 30px;
    margin-left: 70px;
    width: 400px;
    padding: 20px;
    background-color: rgba(204, 204, 14, 0.753);
    color: rgb(40, 40, 168);
    border-radius: 10px;
    line-height: 30px;
}

.explore {
    width: 200px;
    height: 60px;
    padding: 20px;
    margin-top: 100px;
    margin-left: 70px;
    background-color: rgba(204, 204, 14, 0.753);
    border-radius: 10px;
    color: rgb(40, 40, 168);
    font-size: 20px;
    text-align: center;
    font-weight: bolder;
}

.poster1 {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0;
    height: 200px;
}

.poster {
    width: 32.5%;
    height: 200px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
}

.ext-poster {
    flex-wrap: wrap;
    height: 630px;
    margin-bottom: 40px;
}

.stories {
    width: 100%;
    background-color: rgb(250, 250, 250);
    padding: 20px;
    padding-top: 60px;
}

.stories h3 {
    margin-top: 20px;
    margin-bottom: 20px;
}

.stories p {
    margin-top: 15px;
    margin-bottom: 15px;
}

.stories span {
    font-size: 0.8rem;
}

.stories-div1 {
    margin-bottom: 50px;
    color: rgb(51, 51, 51);
}

.stories-div2 {
    color: rgb(153, 153, 153);
}

.stories-div2 p {
    font-size: 0.8rem;
}

.footer {
    background-color: #212121;
}

.footer1 {     
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 10px;
    border-bottom: 1px solid rgb(153, 153, 153, 0.5);
    height: 350px;
}

.footer-link1 {
    width: 47%;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding-right: 50px;
    height: 230px;
}

.footer-link2 {
    width: 47%;
    border-left: 1px solid rgb(153, 153, 153, 0.5);
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding-left: 50px;
    height: 230px;
}

.footer-list p {
    font-size: 12px;
    color: rgb(153, 153, 153);
}

.footer-list a {
    font-size: 12px;
    font-weight: bold;
    color: #ffffff;
    text-decoration: none;
}

.footer-list a:hover {
    text-decoration: underline;
}

.footer-list li {
    list-style-type: none;
}

.footer-list2 {
    line-height: 18px;
}

.footer-list2 p {
    font-size: 12px;
    color: #ffffff;
}

.footer-list2 i {
    font-size: 20px;
}

.footer-list2 a {
    text-decoration: none;
    color: rgb(0, 0, 255);
}

.footer2 {
    color: #ffffff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 60px;
    font-size: 0.8rem;
    padding-left: 40px;
    padding-right: 40px;
}

.footer2 i {
    margin-right: 10px;
    color: rgb(255, 255, 0, 0.5);
}

.footer2 a {
    color: #ffffff;
    text-decoration: none;
}